## org.apache.poi.ss.formula.ptg
Class PowerPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.OperationPtg
              org.apache.poi.ss.formula.ptg.ValueOperatorPtg
                  org.apache.poi.ss.formula.ptg.PowerPtg

    public final class PowerPtg

extends ValueOperatorPtg

Author:
  andy, Jason Height (jheight at chariot dot net dot au)

Field Summary
`static ValueOperatorPtg` `instance`
`static byte` `sid`

Fields inherited from class org.apache.poi.ss.formula.ptg.OperationPtg
`TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Method Summary
`int` `getNumberOfOperands()` The number of operands expected by the operations
`protected byte` `getSid()`
`java.lang.String` `toFormulaString(java.lang.String[] operands)` returns a string representation of the operations the length of the input array should equal the number returned by

Methods inherited from class org.apache.poi.ss.formula.ptg.ValueOperatorPtg
`getDefaultOperandClass, getSize, isBaseToken, toFormulaString, write`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

### instance

    public static final ValueOperatorPtg instance

Method Detail

### getSid

    protected byte getSid()

  Specified by:
    `getSid` in class `ValueOperatorPtg`

### getNumberOfOperands

    public int getNumberOfOperands()

  Description copied from class: `OperationPtg`
  The number of operands expected by the operations

  Specified by:
    `getNumberOfOperands` in class `OperationPtg`

### toFormulaString

    public java.lang.String toFormulaString(java.lang.String[] operands)

  Description copied from class: `OperationPtg`
  returns a string representation of the operations the length of the input array should equal the number returned by

  Specified by:
    `toFormulaString` in class `OperationPtg`
  See Also:
    `OperationPtg.getNumberOfOperands()`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.